Classes | Enumerations

# treebase.h File Reference

## Classes
class | wxTreeItemId
| An opaque reference to a tree item. More...
class | wxTreeItemData
| wxTreeItemData is some (arbitrary) user class associated with some item. More...
## Enumerations
enum | wxTreeItemIcon { wxTreeItemIcon_Normal, wxTreeItemIcon_Selected, wxTreeItemIcon_Expanded, wxTreeItemIcon_SelectedExpanded, wxTreeItemIcon_Max }
| Indicates which type to associate an image with a wxTreeCtrl item. More...

## Enumeration Type Documentation

enum wxTreeItemIcon

Indicates which type to associate an image with a wxTreeCtrl item.

See also:
  wxTreeCtrl::GetItemImage(), wxTreeCtrl::SetItemImage()

Enumerator:

  wxTreeItemIcon_Normal | To get/set the item image for when the item is not selected and not expanded.
  wxTreeItemIcon_Selected | To get/set the item image for when the item is selected and not expanded.
  wxTreeItemIcon_Expanded | To get/set the item image for when the item is not selected and expanded.
  wxTreeItemIcon_SelectedExpanded | To get/set the item image for when the item is selected and expanded.
  wxTreeItemIcon_Max |

|  | [ top ]